Project

General

Profile

Feature #5626

Comprobar al inicio de la instalación la versión MySql igual o superior

Added by Jose García (Nosolored) over 9 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Start date:
10/10/2012
Due date:
% Done:

0%

Estimated time:
Complexity:
Normal
SCRUM pts - complexity:
?

Description

Buenas.

Habría que añadir una comprobación previa de versión de MySql cuando se instala Chamilo 1.9 para indicar que debe ser igual o superior a MySql 5.1 en el script

.../main/install/index.php?running=1&installType=&updateFromConfigFile=

mostrando un mensaje al igual que ocurre con el php para indicar si es suficiente o no la versión de la base de datos. Al insertar esta comprobación se ahorraría mensajes en los foros al instalar Chamilo en entornos con una versión inferior. Se podría poner un mensaje en color rojo, naranja, u otro y no permitir la instalación o si la realiza indicarle que no es recomendable.

Tal como indicaba Yannick es cierto que en la guía de instalación lo indicaba Yannick en http://stable.chamilo.org/documentation/installation_guide.html#1._Pre-requisites
pero no estaría de más una comprobación anterior a la instalación desde el script php.

El script de instalación ahora sólo indica si existe MySql y no muestra ningún mensaje si la base de datos es inferior a esa versión. La instalación continúa sin mostrar ningún mensaje de advertencia si se dispone de una base de datos inferior a Mysql 5.1.

Este valor de MySql si se muestra en .../main/admin/system_status.php?section=mysql cuando se ha instalado Chamilo 1.9

Un saludo.


Files

versionsmysql.png (43.6 KB) versionsmysql.png Jose García (Nosolored), 10/10/2012 13:37
versions.png (22.4 KB) versions.png Jose García (Nosolored), 10/10/2012 13:37

Also available in: Atom PDF